## org.apache.xerces.xni.parser
Interface XMLPullParserConfiguration

All Superinterfaces:
  XMLComponentManager, XMLParserConfiguration

public interface XMLPullParserConfiguration
extends XMLParserConfiguration

Represents a parser configuration that can be used as the configuration for a "pull" parser. A pull parser allows the application to drive the parser instead of having document information events "pushed" to the registered handlers.

A pull parser using this type of configuration first calls the `setInputSource` method. After the input source is set, the pull parser repeatedly calls the `parse(boolean):boolean` method. This method returns a value of true if there is more to parse in the document.

Calling the `parse(XMLInputSource)` is equivalent to setting the input source and calling the `parse(boolean):boolean` method with a "complete" value of `true`.

Version:
  $Id: XMLPullParserConfiguration.java 447244 2006-09-18 05:20:40Z mrglavas $
Author:
  Andy Clark, IBM

Method Summary
`void` `cleanup()` If the application decides to terminate parsing before the xml document is fully parsed, the application should call this method to free any resource allocated during parsing.
`boolean` `parse(boolean complete)` Parses the document in a pull parsing fashion.
`void` `setInputSource(XMLInputSource inputSource)` Sets the input source for the document to parse.

Methods inherited from interface org.apache.xerces.xni.parser.XMLParserConfiguration
`addRecognizedFeatures, addRecognizedProperties, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getLocale, getProperty, parse, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setLocale, setProperty`

Method Detail

### setInputSource

    public void setInputSource(XMLInputSource inputSource)
                        throws XMLConfigurationException,
                               java.io.IOException

  Sets the input source for the document to parse.
  Parameters:
    `inputSource` - The document's input source.
  Throws:
    `XMLConfigurationException` - Thrown if there is a configuration error when initializing the parser.
    `java.io.IOException` - Thrown on I/O error.
  See Also:
    `parse(boolean)`

### parse

    public boolean parse(boolean complete)
                  throws XNIException,
                         java.io.IOException

  Parses the document in a pull parsing fashion.
  Parameters:
    `complete` - True if the pull parser should parse the remaining document completely.
  Returns:
    True if there is more document to parse.
  Throws:
    `XNIException` - Any XNI exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the parser.
  See Also:
    `setInputSource(org.apache.xerces.xni.parser.XMLInputSource)`

### cleanup

    public void cleanup()

  If the application decides to terminate parsing before the xml document is fully parsed, the application should call this method to free any resource allocated during parsing. For example, close all opened streams.

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.